export default function (context) {
  const { $axios, redirect, store } = context

  $axios.onRequest((config) => {
    $axios.setHeader('X-Token', 'abc')
  })

  // 响应拦截
  $axios.onResponse(async (response) => {
    const res = response.data
    // 请求成功
    if (!res.code) return res
    // 请求失败
    if (res.code === -1) {
      Toast(res.msg || 'Error')
    }
    // 登录过期
    if (res.code === -99) {
      console.log('登录过期')
    }
    return Promise.reject(res)
  })

  // 错误拦截
  $axios.onError((error) => {
    const code = parseInt(error.response && error.response.status)
    if (code === 400) {
      redirect('/400')
    }
  })
}
